/**
 * A provider of beasts. Other classes can use this list of beasts as they will.
 * We use beast providers for two purposes: to inform pack finders about the
 * entire selection of beasts out there and to set up a new simulation.
 * 
 * @author CPSC 111 instructors
 */
public interface IBeastProvider
{
    /**
     * Get a list of all the beasts this provider contains.
     * 
     * @return a non-null (but possibly empty!) list of non-null Beasts
     */
    Beast[] getBeasts();
}
